Module javafx.base
Package javafx.collections

# Class ObservableArrayBase<T extends ObservableArray<T>>

java.lang.Object
javafx.collections.ObservableArrayBase<T>

Type Parameters:
  `T` - actual array instance type

All Implemented Interfaces:
  `Observable`, `ObservableArray<T>`

    public abstract class ObservableArrayBase<T extends ObservableArray<T>>
    extends Object
    implements ObservableArray<T>

Abstract class that serves as a base class for `ObservableArray` implementations. The base class provides listener handling functionality by implementing `addListener` and `removeListener` methods. `fireChange(boolean, int, int)` method is provided for notifying the listeners.

Since:
  JavaFX 8.0
See Also:
  `ObservableArray`, `ArrayChangeListener`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ObservableArrayBase()` | Creates a default `ObservableArrayBase`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `fireChange​(boolean sizeChanged, int from, int to)` | Notifies all listeners of a change

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.collections.ObservableArray

  `addListener, clear, ensureCapacity, removeListener, resize, size, trimToSize`

- ## Constructor Details

  - ### ObservableArrayBase

    public ObservableArrayBase()
    Creates a default `ObservableArrayBase`.

- ## Method Details

  - ### fireChange

    protected final void fireChange​(boolean sizeChanged, int from, int to)
    Notifies all listeners of a change
    Parameters:
      `sizeChanged` - indicates size of array changed
      `from` - A beginning (inclusive) of an interval related to the change
      `to` - An end (exclusive) of an interval related to the change.